- hosts: instahelper_servers

  tasks:
        - name: 'Install apt-mirror'
          apt:
                  pkg: 
                       - apache2
                       - apt-mirror

        - name: 'Create a package repository directory'
          file:
                  path: /var/www/html/ubuntu
                  owner: www-data
                  group: www-data
                  state: directory
        
        - name: 'Configure repositories to mirror or sync'
          replace:
                  path: /etc/apt/mirror.list
                  regexp: '^# set base_path    /var/spool/apt-mirror'
                  replace: 'set base_path    /var/www/html/ubuntu'
                  backup: yes
        
        - name: 'Configure repositories  mirror or sync'
          replace:
                  path: /etc/apt/mirror.list
                  regexp: 'artful'
                  replace: 'focal'
                  
        - name: 'Configure repositories'
          replace:
                  path: /etc/apt/mirror.list
                  regexp: '^deb-src'
                  replace: '#deb-src'

        - name: 'Create a package repository directory'
          file:
                  path: /var/www/html/ubuntu/var
                  owner: www-data
                  group: www-data
                  state: directory
    

        - name: 'get permission'
          file:
                  path: '/var/spool/apt-mirror/var/postmirror.sh'
                  mode: 0644


        - name: 'backup mirror list'
          shell: 'cp /var/spool/apt-mirror/var/postmirror.sh /var/www/html/ubuntu/var'
          # copy:
          #        src: '/var/spool/apt-mirror/var/postmirror.sh'
          #        dest: '/var/www/html/ubuntu/var'
          #        mode: 0644

          #        - name: 'start mirroring'
          #          shell: 'sudo apt-mirror'


        - name: 'nohup'
          shell: 'nohup sudo apt-mirror > apt-mirror.out &'

        - name: 'create dir for script'
          file:
                  path: /home/ubuntu/script
                  state: directory

        
        - name: 'copy script'
          git:
                  repo: 'https://gitlab.com/infra105/infras/ansible/local_repository.git'
                  dest: '/home/ubuntu/script'

        - name: 'run script'
          shell: 'bash /home/ubuntu/script/cnf.sh'

        - name: 'working directory'
          shell: 'cp -av archive.ubuntu.com  /var/www/html/ubuntu/mirror/'

        - name: 'added local repository'
          replace:
                  path: /etc/apt/sources.list
                  regexp: '^deb http://us-east-1.ec2.archive.ubuntu.com/ubuntu/'
                  replace: 'deb http://67.202.2.67/ubuntu/mirror/archive.ubuntu.com/ubuntu'
                  
        - name: 'local repository'
          replace:
                  path: /etc/apt/sources.list
                  regexp: '^deb http://us-east-1.ec2.archive.ubuntu.com/ubuntu/'
                  replace: 'deb http://67.202.2.67/ubuntu/mirror/archive.ubuntu.com/ubuntu'



        - name: 'update'
          apt:
                  force: yes
                  allow_unauthenticated: yes
                  update_cache: yes
